# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _


PREMIUM_CMSPLUGIN_PREMIUMREGISTRATION_FORM_TEMPLATES = dict(
    anonymous="bootstrap3/premium/cms_plugins/registration_form.html",
    authenticated="bootstrap3/premium/cms_plugins/disclaimer_form.html",
)
PREMIUM_CMSPLUGIN_PREMIUMREGISTRATION_FORM_CLASSES = dict(
    anonymous="acomea.premium.forms.AcomeaPremiumRegistrationForm",
    authenticated="acomea.premium.forms.AcomeaPremiumAcceptanceForm",
)
PREMIUM_CMSPLUGIN_PREMIUMREGISTRATION_ACTIVATION_DONE_TEMPLATES = (
    (
        "bootstrap3/premium/cms_plugins/activation_done.html",
        _("B3 - activation done template"),
    ),
)
PREMIUM_CMSPLUGIN_PREMIUMREGISTRATION_EMAIL_REGISTRATIONDONE_TEMPLATES = (
    (
        "bootstrap3/premium/cms_plugins/registration_done_email.html",
        _("B3 - registration done email template"),
    ),
)
PREMIUM_CMSPLUGIN_PREMIUMREGISTRATION_EMAIL_ACTIVATIONDONE_TEMPLATES = (
    (
        "bootstrap3/premium/cms_plugins/activation_done_email.html",
        _("B3 - activation done email template"),
    ),
)